Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1052442 - AttributeError: 'DiskLabel' object has no attribute 'peStart'
Summary: AttributeError: 'DiskLabel' object has no attribute 'peStart'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-blivet
Version: 7.0
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Lehman
QA Contact: Release Test Team
URL:
Whiteboard: abrt_hash:453a299083eccbf89d6794facbb...
Depends On: 1032380
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 20:17 UTC by David Lehman
Modified: 2014-06-18 04:46 UTC (History)
7 users (show)

Fixed In Version: python-blivet-0.18.18-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1032380
Environment:
Last Closed: 2014-06-13 13:05:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Lehman 2014-01-13 20:17:29 UTC
+++ This bug was initially created as a clone of Bug #1032380 +++

Description of problem:
When trying to reinstall a fedora 17 box with fedora 19, this issue is triggered if two (or more) disks are present and at least one of them is an LVM member directly (ie no partitioning involved). In order to successfully reinstall one is required to remove all VGs prior to installation or in the kickstart itself. It could also be that using different volume names during install would also work but we haven't tested.

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2368, in size
    size += max(0, self.align(pv.size - pv.format.peStart))
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2385, in freeSpace
    log.debug("%s size is %dMB" % (self.name, self.size))
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 1926, in growLVM
    total_free = vg.freeSpace
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 639, in execute
    growLVM(storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1648, in doKickstartStorage
    ksdata.logvol.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 253, in execute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/hubs/summary.py", line 49, in setup
    spoke.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/__init__.py", line 165, in setup
    obj.setup(self.ENVIRONMENT)
  File "/sbin/anaconda", line 1086, in <module>
    anaconda._intf.setup(ksdata)
AttributeError: 'DiskLabel' object has no attribute 'peStart'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/vmlinuz_cobbler mpath BOOTIF=00:21:5e:c9:09:80 blacklist=nouveau nomodeset=null sshd=1 biosdevname=0 text kssendmac vga=771 net.ifnames=0 ks=http://cobbler-prod.trading.imc.intra/cblr/svc/op/ks/system/satinmoth.trading.imc.intra linksleep=20 nicdelay=10
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

--- Additional comment from Fedora Update System on 2013-11-29 08:56:09 EST ---

python-blivet-0.23.7-1.fc20, anaconda-20.25.12-1.fc20, pykickstart-1.99.48-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 1 David Lehman 2014-01-13 20:19:25 UTC
Unpartitioned disks with whole-disk formatting are not cleared adequately as part of handling for 'clearpart' command. Fixed on master.

Comment 3 Ladislav Jozsa 2014-01-31 12:38:40 UTC
I managed to reproduce the bug after some effort and I can confirm it is fixed as of anaconda-19.31.51-1.el7.

Comment 4 Ludek Smid 2014-06-13 13:05:18 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.